## basex 6.7

=== debian/changelog ===
basex (6.7-1) unstable; urgency=low

  * New upstream release
    - Main Features:
      [ADD] Native support for the EXPath Packaging system:
            http://docs.basex.org/wiki/Packaging
      [ADD] Client/server event notification:
            http://docs.basex.org/wiki/Events
      [ADD] Persistent document index added to speed up
            access to large collections
    - XQuery:
      [ADD] New database and full-text functions:
            http://docs.basex.org/wiki/Database_Functions
            http://docs.basex.org/wiki/Full-Text_Functions
      [ADD] Event function added to fire events
      [MOD] Index optimizations, better cost estimations
    - Commands:
      [ADD] Glob syntax introduced to database commands:
            http://docs.basex.org/wiki/Commands
      [ADD] New commands added: REPLACE, RENAME,
            REPO DELETE/INSTALL/LIST, CREATE/DROP EVENT
      [MOD] BACKUP optimized, renamed to CREATE BACKUP
  * Added new database commands to man pages.

 -- Alexander Holupirek <alex@holupirek.de>  Fri, 01 Jul 2011 08:19:19 +0200

basex (6.6.2-1) unstable; urgency=low

  * New upstream release
    - API:
      [ADD] JAX-RX API now supports basic user authentication:
            http://docs.basex.org/wiki/JAX-RX_API
      [ADD] The COPY creates identical database copies:
            http://docs.basex.org/wiki/Commands#COPY
      [ADD] The OPTIMIZE ALL command minimizes all database structures:
            http://docs.basex.org/wiki/Commands#OPTIMIZE
    - XQuery:
      [ADD] map expressions and functions added:
            http://docs.basex.org/wiki/Map_Functions
      [MOD] File module aligned with latest EXPath specification:
            http://docs.basex.org/wiki/File_Functions
      [MOD] Speedup of full-text queries with keyword lists.
            Example: $x contains text { 'a', 'b', 'c', ...}
      [MOD] XQuery Update optimizations for replacing nodes;
            tree-aware updates.
      [MOD] XQuery optimizations to avoid materialization of sequences.
    - GUI:
      [ADD] Multiple editor tabs added
      [ADD] Database management: copy databases
    - Core:
      [ADD] Internal XML parser: HTML entities added
      [FIX] Glob syntax: support for multiple file suffixes
  * Added new database commands to man pages.
  * Adopted debian/copyright file.  ISC licensed files are gone now.
  * Adopted debian/control file to reflect correct packaging Vcs-Git entry.
  * Removed patch for build problem in 6.6.1-2.  Upstream incorporated the fix.

 -- Alexander Holupirek <alex@holupirek.de>  Fri, 13 May 2011 16:36:01 +0200

basex (6.6.1-3) unstable; urgency=low

  * Provides more details on copyright and authorship in debian/copyright.
    Thanks to Tony Mancill <tmancill@debian.org>.

 -- Alexander Holupirek <alex@holupirek.de>  Wed, 27 Apr 2011 12:06:02 +0200

basex (6.6.1-2) unstable; urgency=low

  * Fix for build problem.
    org/basex/gui/GUIMacOSX.java:[133,23] cannot find symbol
    symbol  : method execute(org.basex.gui.GUI)
    location: class org.basex.gui.GUICommands
    Solution:
    // explicit cast to circumvent Java compiler bug
    ((GUICommand) GUICommands.PREFS).execute(main);

 -- Alexander Holupirek <alex@holupirek.de>  Fri, 15 Apr 2011 16:54:33 +0200

basex (6.6.1-1) unstable; urgency=low

  * New upstream release
    - XQuery:
      [ADD] index rewritings added for .../text()[. = ..] syntax
      [ADD] optimizations of mixed axis path expressions, e.g.: //x/name()
      [MOD] index rewritings on collections fixed and generalized
      [MOD] faster evaluation of filters with pos. predicates, e.g.: $x[5]
      [FIX] fixed relocation of let clauses in GFLWOR expressions
      [FIX] trace function returned wrong original results
      [FIX] variables in catch clauses were discarded
      [FIX] HOF optimizations and fixes
    - GUI:
      [FIX] language option (for Japanese, German, etc. interface) fixed
  * Upstream moved to github, https://github.com/BaseXdb/basex 
    - Adopted debian/watch file

 -- Alexander Holupirek <alex@holupirek.de>  Fri, 15 Apr 2011 16:23:19 +0200

basex (6.5.1-1ubuntu1~ppa3) maverick; urgency=low

  * Update packaging, use symbolic version 6.x for Maven
  * Refresh patches

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sun, 20 Feb 2011 21:13:49 +0100

basex (6.5.1-1) unstable; urgency=low

  * Initial release (Closes: #588216)

 -- Alexander Holupirek <alex@holupirek.de>  Tue, 15 Feb 2011 21:13:25 +0100
