## basex 7.0.2

=== debian/changelog ===
basex (7.0.2-1) unstable; urgency=low

  * New upstream release (November 11, 2011)
    FULL TEXT
    - Stemming support for Japanese text corpora
      (thanks to Toshio HIRAI!)
    STARTUP
    - Updated start scripts (thanks to Ralf Jung!)
    - System property "org.basex.path" added to specify
      project's home directory (thanks to malamut2!)
    XQUERY
    - Numerous minor XQuery 3.0 enhancements and fixes
    - Fix for db:optimize() calls (thanks to Martin Hillert!)
    STORAGE
    - Fix to retain newly introduced namespaces
      (thanks to Laurent Chevalier!)
    USERS
    - Default privileges for new users set to "none"
      (thanks to Pascal Heus!)
    REST
    - query base URI for evaluated queries is now $HTTPPATH
      (thanks to Florent Georges!)

  * Resolved policy violation by talking to upstream (closes: #647422) 

 -- Alexander Holupirek <alex@holupirek.de>  Sat, 12 Nov 2011 21:38:31 +0100

basex (7.0.1-1) unstable; urgency=low

  * New upstream release (October 23, 2011)
    XQUERY
    - much faster execution of count() when applied to opened databases

 -- Alexander Holupirek <alex@holupirek.de>  Wed, 02 Nov 2011 23:06:11 +0100

basex (7.0-1) unstable; urgency=low

  * New upstream release (October 14, 2010) TEI EDITION
    XQuery
    - [ADD] Parsing and serializing JSON documents
    - [ADD] SQL module builds a JDBC bridge to access relational databases 
    - [ADD] EXPath Cryptographic Module for encryption and XML Signatures
    - [ADD] Full text engine tokenizes Japanese texts (thx to Toshio Hirai!)
    - [ADD] db:retrieve() and db:store() handle raw data
    - [ADD] util:uuid() to create random universally unique identifier
    - [ADD] db:content-type() retrieves the content type of a resource
    - [ADD] db:exists() checks if the specified database or resource exists
    - [ADD] db:is-raw(), db:is-xml() check existence and type of a resource
    - [MOD] db:list(), db:open() uses two separate arguments to specify
            database and resource path
    - [MOD] further modifications: db:add(), 
    
    SERVER
    - [ADD] BaseX HTTP Server activates the REST and WebDAV services
    - [MOD] ITER command returns all results in one go and the client
            handles the iterative execution
    
    COMMANDS
    - [ADD] FLUSH command to write all database buffers to disk
    - [ADD] STORE command to store raw data in a database
    - [ADD] RETRIEVE command to get raw data from the database
    - [MOD] modified ADD command
    
    OPTIONS
    - [ADD] SERVERHOST: to specify a server
    - [ADD] KEEPALIVE: optional timeout to close inactive client sessions
    - [ADD] AUTOFLUSH database buffers
    - [ADD] QUERYPATH: path to executed query
  * Added new database commands to man pages.
  * Added debian/basexgui.desktop file (closes LP: 872072)
  * Added BaseX icon PNG files for /usr/share/icons/hicolor/?x?/apps to 
    be displayed in the KDE, Gnome, Unity ... menus.
  * Fixed unversioned-copyright-format-uri warning in dep5 copyright file.

 -- Alexander Holupirek <alex@holupirek.de>  Thu, 20 Oct 2011 13:55:22 +0200
