=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alexander Holupirek <alex@holupirek.de>
 Build-Depends: debhelper (>= 7), cdbs, default-jdk, maven-debian-helper (>= 1.4)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: https://github.com/BaseXdb/basex-dist/tree/master/linux/debian
 Vcs-Browser: https://github.com/BaseXdb/basex-dist/tree/master/linux/debian
 Homepage: http://basex.org
