=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Alexander Holupirek <alex@holupirek.de>
 Build-Depends: debhelper (>= 7), cdbs, default-jdk, maven-debian-helper (>= 1.4)
-Standards-Version: 3.9.3
-Vcs-Git: https://github.com/BaseXdb/basex-dist/tree/master/linux/debian
+Standards-Version: 3.9.4
+Vcs-Git: git://github.com/BaseXdb/basex-dist.git
 Vcs-Browser: https://github.com/BaseXdb/basex-dist/tree/master/linux/debian
 Homepage: http://basex.org
