=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: database
 Priority: optional
 Maintainer: Alexander Holupirek <alex@holupirek.de>
-Build-Depends: debhelper (>= 7), cdbs, default-jdk, maven-debian-helper (>= 1.4)
+Build-Depends: debhelper (>= 7), cdbs, default-jdk, maven-debian-helper (>= 1.5)
+Build-Depends-Indep: libmaven-exec-plugin-java 
 Standards-Version: 3.9.4
 Vcs-Git: git://github.com/BaseXdb/basex-dist.git
 Vcs-Browser: https://github.com/BaseXdb/basex-dist/tree/master/linux/debian
@@ -11,7 +12,8 @@
 Package: basex
 Architecture: all
 Depends: ${misc:Depends}, ${maven:Depends}, java-wrappers, default-jre | java6-runtime
-Suggests: libtagsoup-java
+Recommends: ${maven:OptionalDepends}
+Suggests: libtagsoup-java, libxml-commons-resolver1.1-java, libjline2-java
 Description: XML database and XPath/XQuery processor
  BaseX is a very fast and light-weight, yet powerful XML database and
  XPath/XQuery processor, including support for the latest W3C Full Text and
@@ -24,3 +26,5 @@
   * basexgui  .......  Standalone local XML database. Graphical user interface.
   * basexserver  ....  BaseX XML Database Server.
   * basexclient  ....  BaseX XML Database Client.
+ BaseX XML database and XPath/XQuery processor
+
