=== debian/watch ===
version=3
http://githubredir.debian.net/github/BaseXdb/basex/ (.*).tar.gz
