## basex 7.9

=== debian/changelog ===
basex (7.9-1) unstable; urgency=medium

  * New upstream release
    VERSION 7.9 (June 27, 2014) --------------------------------------------
    
     XQUNIT
     - Unit testing has been improved a lot. All test functions will now be
       evaluated separately; this way, updates can be performed within test.
     - with the new TEST command, all test modules in a specified directory
       can be evaluated.
     - tests can be invoked from within the GUI editor and project view.
     - on command-line, the -t flag can be used for the same purpose.
    
     RESTXQ
     - Custom HTTP methods can be defined via %rest:method
     - Error handling has been improved and aligned with try/catch
    
     XQUERY MODULES
     - Database Module: parsing options for db:create/db:add
    
     REST
     - The "run" operation allows execution of server-side command scripts

  * Closes: #754958 FTBFS with Java 8: reference to Base64 is ambiguous  

 -- Alexander Holupirek <alex@holupirek.de>  Wed, 16 Jul 2014 15:18:49 +0200

basex (7.8.2-1) unstable; urgency=medium

  * New upstream release
    VERSION 7.8.2 (April 4, 2014) ------------------------------------------
    
     GUI
     - Ctrl-U: efficiently sort large texts
     - Ctrl-H, Ctrl-J: context-sensitive behavior
     - tweaked code automatisms
    
     STORAGE, UPDATES
     - faster processing of documents with namespaces
    
     XQUERY MODULES
     - Database Module: alter, copy, create-backup, drop-backup, restore
     - Admin Module: new merge option, existing functions revised
     - XQuery Module: new evaluation options (memory, timeout, permissions)
    
     XQUERY OPTIMIZATIONS
     - always show full stack trace (enforce it with INLINELIMIT=0)
     - show stack trace again
     - better error messages
     - improved function inlining
     - prevent pre-evaluation of try/catch
     - Easter egg: partial sums (little Gauss) calculation
    
     API
     - WebDAV: improved password processing
     - Client/Server: reduce waiting time if password is wrong

 -- Alexander Holupirek <alex@holupirek.de>  Mon, 07 Apr 2014 16:42:28 +0200

basex (7.8.1-1) unstable; urgency=medium

  * New upstream release
    VERSION 7.8.1 (February 26, 2014) --------------------------------------
    
     ADDED
     * Editor, Ctrl-H: filter by opened file type and selected text
     * XML Parsing: support for TAR & TGZ
    
     UPDATED
     * XQuery errors: function not found -> suggest similar one
     * Commands: improved parsing (allow more whitespaces)
     * French translation (thanks to Maud Ingarao!)
    
     FIXED
     * XQuery Update: nested transform expressions
     * XQuery: always return boolean when calling doc-available()
     * XQuery: disallow impossible casts before removing variables
     * Binary Module: iterative evaluation of bin:octets()
     * Commands, REPO INSTALL: install packages in same directory
     * CSV/JSON: serialization of underscores
    
    VERSION 7.8 (February 12, 2014) ----------------------------------------
    
     GUI
     - new project view for organizing and opening project files
     - realtime search of project files and contents
     - various new editor shortcuts and code completions, code formatting
    
     UPDATES
     - improved performance of delete and insert operations
     - faster in-place value updates
     - 'update': convenience keyword for transform expressions
    
     XQUERY OPTIMIZATIONS
     - XQuery functions are now inlined and further optimized
     - closure optimizations, better static typing
     - improved detection and rewriting of tail calls
     - faster processing of (sub)sequences
    
     XQUERY MODULES
     - JSON and CSV Module: updated and enhanced conversion rules
     - Unit Module: enhanced test report output
     - Map Module: map:serialize added; syntax aligned with latest spec.
     - File Module: aligned with changes in EXPath spec.
     - XQuery Module: xquery:evaluate (operates on opened databases)
     - Full-Text Module: ft:contains added, ft:search: more options
     - EXPath Binary Module added
     - Java modules: support for locking annotations
    
     API
     - New options: INLINELIMIT, TAILCALLS, DEFAULTDB, RUNQUERY
     - New command-line flag: -R only parse query
     - Russian translation added (thanks to Oleksandr Shpak!)
     - Spanish translation added (thanks to Carlos Marcos!)

 -- Alexander Holupirek <alex@holupirek.de>  Sat, 08 Mar 2014 19:33:12 +0100
