## basex 8.2.3

=== debian/changelog ===
basex (8.2.3-1) unstable; urgency=medium

  * New upstream releases
    VERSION 8.2.3 (July 14, 2015) ------------------------------------------
    
     Bug fixes (DBA, admin:write-log; namespaces)
    
    VERSION 8.2.2 (July 6, 2015) -------------------------------------------
    
     Various bug fixes (all minor)
    
    VERSION 8.2.1 (June 9, 2015) -------------------------------------------
    
     DBA
     - code highlighting (thanks, James Ball!)
     - new panel for up- and downloading files
     - queries and files are now stored in a temporary directory
    
     GENERAL
     - various bug fixes
    
    VERSION 8.2 (May 21, 2015) ---------------------------------------------
    
     XQUERY
     - much faster sequence modification via finger trees
     - improved compliance with XQuery 3.1
    
     DBA
     - open, save and delete queries
     - better Tomcat support
    
     STORAGE
     - updatable index structures: reduced disk space consumption
    
     XQUERY FUNCTIONS
     - Standard Module: fn:json-to-xml, fn:xml-to-json
     - Web Module: web:encode-url, web:decode-url
     - File Module: file:is-absolute, file:resolve-path
     - Admin Module: admin:delete-logs
     - Database Module: db:output-cache
    
     BUG FIXES
     - locking, full-text requests, stemming
    
     REMOVED FEATURES
     - event handling (will be replaced by database triggers)

  * Packaging:
    - Added jing as recommended package. Updated startup scripts accordingly.

 -- Alexander Holupirek <alex@holupirek.de>  Fri, 17 Jul 2015 09:03:33 +0200

basex (8.1.1-1) unstable; urgency=medium

  * New upstream release
    VERSION 8.1.1 (April 16, 2015) -----------------------------------------
    
     Various bug fixes (all minor)
    
    VERSION 8.1 (March 28, 2015) -------------------------------------------
    
     XQUERY
     - efficient Finger Tree algorithm for arrays
     - prof:variables() outputs list of currently bound variables
     - new higher-order functions: hof:scan-left, hof:take-while
    
     WEB APPLICATIONS
     - Web Module offers convenience functions for building web apps
     - RESTXQ: %input annotation; input-specific content-type parameters
    
     OPTIONS
     - RESTPATH: specify server path for queries and command scripts
     - IGNORECERT: ignore untrusted certificates when connecting to servers
    
     COMMAND-LINE
     - Bind input strings to the query context with -I

 -- Alexander Holupirek <alex@holupirek.de>  Thu, 16 Apr 2015 22:29:56 +0200

basex (8.0.3-1) unstable; urgency=medium

  * New upstream release
    VERSION 8.0.3 (March 19, 2015) -----------------------------------------

     Various bug fixes (all minor)

    VERSION 8.0.2 (March 9, 2015) ------------------------------------------
    
     REST
     - Better support for concurrent read and write operations
    
     XQUERY
     - Speed up wildcard queries without wildcards
     - XQUnit: compare error codes as QNames
     - Fix: process each single flwor clause when removing variables
     - Fix: consider xml:space='preserve' during serialization
    
     CORE
     - Fix: consider case when pinning databases
    
     HTTP:
     - Fix: digest authentication, correct quoting
    
    VERSION 8.0.1 (February 22, 2015) --------------------------------------
    
     XQUERY
     - Faster execution of single, index-based results
     - Iterative evaluation of steps with multiple predicates
    
     Minor bug fixes:
     - WebDAV locking
     - Archive Module
     - Adaptive serialization of arrays and maps
     - Digest Authentication
     - Save command-line history
    
    VERSION 8.0 (February 9, 2015) -----------------------------------------
    
     XQUERY
     - Support for XQuery 3.1 (nearly complete)
     - New default serialization ("adaptive")
     - MIXUPDATES option: update items and return results at the same time
     - Improved index rewritings, more precise cost estimations
     - New modules: Array and User Module
     - New annotations: %basex:inline, %basex:lazy
     - 13 of our modules were updated and extended
    
     STORAGE
     - Existing documents will be overwritten in-place whenever possible
     - Updatable index structures now take much less space
     - Faster document index (storing paths to all XML documents)
     - AUTOOPTIMIZE option: optimize after each update
     - XINCLUDE option: resolve or ignore XInclude tags
    
     SECURITY
     - Revised user management; users are stored as XML
     - Digest authentication, Salted SHA256
     - Language bindings updated
    
     WEB APPLICATIONS
     - Integrated application: DBA, Database Administration
     - AUTHMETHOD option: Basic vs. Digest authentication
     - RESTXQ: regular expressions in paths, quality factor support
    
     GUI
     - Better code completions

 -- Alexander Holupirek <alex@holupirek.de>  Tue, 17 Mar 2015 15:52:07 +0100
