=== debian/watch ===
version=3
https://github.com/BaseXdb/basex/releases /BaseXdb/basex/archive/(\d[\d\.]*)\.tar\.gz
