## basex 8.5.1

=== debian/changelog ===
basex (8.5.1-1) unstable; urgency=medium

  * New upstream releases
    VERSION 8.5.1 (July 11, 2016) ------------------------------------------
    
     - Bug fixes.

    VERSION 8.5 (July 4, 2016) ---------------------------------------------
    
     DATABASE JOBS
     - all registered database jobs are now centrally administered
     - jobs can be scheduled (periodical execution, start/end time)
     - job results can be cached and retrieved later on
     - new Jobs Module: XQuery functions for managing jobs
     - new commands: JOBS [LIST|RESULT|STOP]
     - DBA: visualization of currently registered jobs
    
     XQUERY
     - parallel execution via xquery:fork-join (thank you, James Wright!)
     - alignments with the latest changes in the XQuery 3.1 specification
     - easy chaining of update operations with the 'update' keyword
     - numerous optimizations, smarter rewritings and heuristics
    
     XQUERY MODULES
     - File, Conversion, Fetch Module: handling of invalid XML characters
     - Inspection Module: inspect:function-annotations added
    
     OPTIONS
     - LOGPATH: custom path for logging data
     - CACHETIMEOUT: timeout for dropping cached job results
     - AUTHMETHOD: `custom` added to skip authentication 

 -- Alexander Holupirek <alex@holupirek.de>  Wed, 13 Jul 2016 17:20:46 +0200

basex (8.4.4-1) unstable; urgency=medium

  [ Alexander Holupirek ]
  * Closes: #822723 FTBFS: Could not resolve dependencies

  * New upstream releases
    VERSION 8.4.4 (May 3, 2016) --------------------------------------------
     Minor bug fixes and tweaks.
    
    VERSION 8.4.3 (April 13, 2016) -----------------------------------------
     Minor bug fixes, experimental 8.5 features.
    
    VERSION 8.4.2 (March 30, 2016) -----------------------------------------
     Minor bug fixes, performance tweaks, experimental 8.5 features.
    
    VERSION 8.4.1 (March 3, 2016) ------------------------------------------
     Minor bug fixes, experimental support for 8.5 features.
    
    VERSION 8.4 (February 8, 2016) -----------------------------------------
     GUI
     - Project View: parse all modules in a project in the background
     - Create Database, Properties: access to advanced database options
     - Sort Dialog: order by column positions and locale collation
    
     INDEXING
     - New Token Index: speedy token lookups in DITA and HTML documents 
     - Including full support for incremental and main-memory databases
     - XQuery optimizations for fn:contains-token, fn:tokenize, fn:idref
    
     WEB APPLICATIONS
     - Cancel server-side queries via %rest:single annotation
     - DBA query editor: faster querying, better responsivity
     
     XQUERY
     - Database Module: ADDCACHE support (caching of large results)
     - Direct output of binary data with new 'basex' serialization method
     - Better XQuery 3.1 compliance: string constructors, new functions
     - Java bindings: address specific Java function signatures
     - User Module: create users and grant permissions in one step
    
     DOCUMENTATION
     - Many Wiki articles have been revised and updated
    
    VERSION 8.3.1 (October 29, 2015) ---------------------------------------
     - XQuery 3.1: alignments with latest spec
     - Bug fixes (GUI errors, XPath optimizations)
    
    VERSION 8.3 (September 23, 2015) ---------------------------------------
     SELECTIVE INDEXING
     - restrict value indexing to given elements and attributes
     - support extended to updatable and main-memory databases
    
     VALIDATION
     - support for RelaxNG validation (XML and compact syntax)
     - optional XML Schema 1.1 support
     - new function for creating validation reports
    
     XQUERY MODULES
     - Strings Module: Levenshtein, Soundex, Cologne Phonetic
     - updates in the Archive, Database, Admin and Process modules
    
     DBA
     - File panel: upload and download files
    
     BUG FIXES
     - automatic database optimization if node id turns negative
     - XQuery optimizations, performance tweaks, WebDAV issues

  [ tony mancill ]
  * Bump Standards-Version to 3.9.8 (no changes)
  * Increment debian/compat to 9.
  * Add myself to Uploaders.

 -- Alexander Holupirek <alex@holupirek.de>  Wed, 04 May 2016 14:06:55 +0200
